#!/usr/bin/python3

import serial.tools.list_ports
import sys
import sys, os
sys.path.append(os.path.abspath(os.path.dirname(os.path.realpath(sys.argv[0])) + '/..')) # for common
from common import *


def list_ports():
    ttyS_ports = [x.name for x in serial.tools.list_ports.comports()]
    print(f"ttyS_ports are {ttyS_ports}")
    if is_windows():
        if is_posix(): 
            pattern = "ttyS"
            offset=1
        else: 
            pattern =  "COM"
            offset=0
        final_ports = [ "COM" + str(int(x.replace(pattern, ""))+offset) for x in ttyS_ports ] 
    else:
        final_ports = ttyS_ports
    print(f"final_ports are {final_ports}")
    return final_ports

# print(list_ports())